Package org.apache.struts2.ognl

# Enum Class OgnlCacheFactory.CacheType

java.lang.Object
java.lang.Enum<OgnlCacheFactory.CacheType>
org.apache.struts2.ognl.OgnlCacheFactory.CacheType

All Implemented Interfaces:
  `Serializable`, `Comparable<OgnlCacheFactory.CacheType>`, `Constable`

Enclosing interface:
  OgnlCacheFactory<Key,Value>

public static enum OgnlCacheFactory.CacheType extends Enum<OgnlCacheFactory.CacheType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BASIC`
  `LRU`
  `WTLFU`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OgnlCacheFactory.CacheType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OgnlCacheFactory.CacheType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BASIC

    public static final OgnlCacheFactory.CacheType BASIC

  - ### LRU

    public static final OgnlCacheFactory.CacheType LRU

  - ### WTLFU

    public static final OgnlCacheFactory.CacheType WTLFU

- ## Method Details

  - ### values

    public static OgnlCacheFactory.CacheType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OgnlCacheFactory.CacheType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null